System Requirements for Integration to Microsoft® Exchange

You must be licensed for EMS Desktop Client, EMS Web App, and Integration to Microsoft® Exchange to configure and use this module. If you are unsure if your organization is licensed for Integration with Exchange, or if you would like to learn more about it, please contact your Account Executive.

The following requirements must be met to install and configure Integration to Exchange:

Web Server Requirements 

Operating System IIS VERSION

Windows Server 2016

10.0

Windows Server 2012

8.0

Windows Server 2012 R2

8.5

Windows Server 2016

 
Prerequisites  

Application Pool Running 

(2.0 or 4.0 depending on the EMS Software Application)

.NET Framework 4.8

 
HTTP activation (Windows Feature)  
TLS Version Minimum TLS 1.2

Minimum System Requirements

Processor: 2.0 GHz and 4 cores or faster
Memory: 8 GB or more**
Hard-Disk Space: 1 GB or more

*For up to 100 concurrent users. Increased specs required for 100+ concurrent users.

*Requires an update to Windows Management Framework to version 3.
**= varies per EMS Software Application

EMS Web App Requirements 

Desktop Browser

Introduction to EMS for Outlook (please see Note below)

Microsoft Edge (latest)

Firefox (latest)

Chrome (latest)

Safari (Mac) (latest)

*= varies per application.

Software Requirements

URL Rewrite 2.1 for IIS*

*URL Rewrite 2.1 for IIS needs to be installed on the web server.

EMS Web App (Mobile)

Mobile Browser

Platform

Chrome

Android 4.4, 6.0, 7.0, 7.1 

iOS 9.x, iOS 10.x

Safari

iOS 9.x, iOS 10.x

Important!

Integration with Exchange configuration issues often relate to access rights with this account. Ensure that the account has the necessary permissions.

EMS Platform Services

Operating System

IIS version

Windows Server 2016 10.0

Windows Server 2012  

8

Windows Server 2012 R2  

8.5

.NET Framework

4.6.1

Application Pool

4.0

Prerequisites (Prior to Update 28)

HTTPPlatformHandler IIS Module

Download Version 1.2 here OR download the installer here.

PowerShell

5+ Version

ASP.NET Version 4.6

Under Web Server (IIS) > Web Server > Application Development:

  • ISAPI Extensions

  • ISAPI Filters

  • .NET Extensibility 4.6

Prerequisites (Update 44.1.28 to 44.1.35)

ASP.NET Core

2.2.6

See Also: Installing ASP.NET Core.

PowerShell

5+ Version

ASP.NET Version 4.6

Under Web Server (IIS) > Web Server > Application Development:

  • ISAPI Extensions

  • ISAPI Filters

  • .NET Extensibility 4.6

  • Web Socket Protocol

Prerequisites (Update 220 to current)
ASP.NET Core

3.1

Installing ASP.NET Core

Download the SDK and bundle for your operating system

PowerShell 5+ Version
ASP.NET Version 4.6

Under Web Server (IIS) > Web Server > Application Development:

  • ISAPI Extensions
  • SAPI Filters
  • .NET Extensibility 4.6

Web Socket Protocol

Install the ASP.NET Core

As of Update 28, users are required to deploy EMS Platform Services with ASP.NET Core, instead of the HTTP Platform Handler.

  1. Choose .NET Core version 2.2.6 (EMS Update 44.1.28+) or .NET Core version 3.1 (EMS Update 2020+)
  2. In the right-hand “Run apps - Runtime” column, select Windows Hosting Bundle

    ASP.Net handler is a part of the Runtime and Hosting Bundle.

EMS for Microsoft Outlook Requirements 

   

Microsoft® Office

365

Outlook (32- and 64-bit)

2010, 2013, 2016, 2019

.NET Framework

4.6.1

Microsoft® Visual Studio 2010 Tools for Office Runtime

VSTO 2010

Prerequisites

EMS Web App

Latest

On User Workstations

Desktop requirements for Microsoft® Outlook Windows 7, 8, or 10

Integration to Microsoft Exchange

   

Microsoft® Exchange

2010 SP3, 2013, 2016, 2019

Microsoft® Office

365

See Also: Exchange Web Services (EWS) Impersonation and Configure EWS Impersonation